dojo.provide("parus.designerReportTableNotIncludedIndexesDictionaryDialog");

dojo.require("dijit.Dialog");
dojo.require("dijit.form.Button");

dojo.require("dojox.grid.DataGrid");
dojo.require("dojo.data.ItemFileReadStore");

dojo.require("parus.parus8");
dojo.require("parus.dialog");
dojo.require("parus.gridData");
dojo.require("parus.gridActions");
dojo.require("parus.catalogActions");
dojo.require("parus.dictionaryDialog");
dojo.require("parus.editDictionaryDialog");

dojo.require("parus.designerTableModelIndexDialog");
dojo.require("parus.designerTableIndexChangePriorityDialog");

dojo.require("parus.designerTableModelsDictionaryDialog");

dojo.declare("parus.designerReportTableNotIncludedIndexesDictionaryDialog", [parus.editableDictionaryDialog], {

  createMenu: function() {
    this.menu = parus.designerTableModelsDictionaryDialog.prototype.createIndexPopupMenu(this, this.grid, false, this.getTableModelRN);
    this.inherited(arguments);

    return this.menu;
  },

  getTableModelRN: function() {
    return this.getParentDialogMasterGridItem("MODEL_RN"); //DesignerBalanceTablesWithIndexes
  }

});